Subject: Re: Broadcom 43xx first results

From: Ben Greear <[email-masked]>
Date: Tue, 06 Dec 2005 08:43:39 -0800

Pavel Machek wrote:
> Hi!
> 
> 
>>>That's because you still don't get how we do development.  The last thing
>>>we want is full-scale rewrites.  Submit patches to fix things based on
>>>whatever you want but do it incremental.
>>
>>We have got almost finished and working stack. Everything we need to do
>>is:
>>1. identify issues;
>>2. fix the issues; some of them will need broader discussion;
>>3. split it into several (potentially a lot of) reviewable patches;
>>4. clean up the drivers.
>>
>>I'm in phase 2 now (no interesting results yet). I don't think it is
> 
> 
> No, it does not work like that. You don't get nice, reviewable,
> mergeable patches by developing code independently for 3 years or so
> then attempting merge.
> 
> If devicescape code is better than mainline, merge it _now_. If it is
> not, drop it and start from mainline code.

Merge now even if it breaks the current tree?  I for one would certainly
rather he finish his work on it and get it more polished.  Reviewing and
testing something that actually works would be a lot more fun...

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com